<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFObjectData (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFObjectData (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFObjectData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFObjectData.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFObjectData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Class HSLFObjectData" class="title">Class HSLFObjectData</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hslf.usermodel.HSLFObjectData</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html"
                           title="interface in org.apache.poi.sl.usermodel">ObjectData</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSLFObjectData</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html"
              title="interface in org.apache.poi.sl.usermodel">ObjectData</a></pre>
                <div class="block">A class that represents object data embedded in a slide show.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html#HSLFObjectData-org.apache.poi.hslf.record.ExOleObjStg-">HSLFObjectData</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/ExOleObjStg.html"
                                        title="class in org.apache.poi.hslf.record">ExOleObjStg</a>&nbsp;storage)</code>
                                    <div class="block">Creates the object data wrapping the record that contains the
                                        object data.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/ExOleObjStg.html"
                                        title="class in org.apache.poi.hslf.record">ExOleObjStg</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html#getExOleObjStg--">getExOleObjStg</a></span>()</code>
                                    <div class="block">Return the record that contains the object data.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html#getFileName--">getFileName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.io.InputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html#getInputStream--">getInputStream</a></span>()</code>
                                    <div class="block">Gets an input stream which returns the binary of the embedded
                                        data.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html#getOLE2ClassName--">getOLE2ClassName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.io.OutputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html#getOutputStream--">getOutputStream</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html#setData-byte:A-">setData</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">Sets the embedded data.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.ObjectData">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html"
                                        title="interface in org.apache.poi.sl.usermodel">ObjectData</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html#getBytes--">getBytes</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html#getDirectory--">getDirectory</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html#hasDirectoryEntry--">hasDirectoryEntry</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSLFObjectData-org.apache.poi.hslf.record.ExOleObjStg-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSLFObjectData</h4>
                                <pre>public&nbsp;HSLFObjectData(<a
                                        href="../../../../../org/apache/poi/hslf/record/ExOleObjStg.html"
                                        title="class in org.apache.poi.hslf.record">ExOleObjStg</a>&nbsp;storage)</pre>
                                <div class="block">Creates the object data wrapping the record that contains the object
                                    data.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>storage</code> - the record that contains the object data.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getInputStream--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getInputStream</h4>
                                <pre>public&nbsp;java.io.InputStream&nbsp;getInputStream()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html#getInputStream--">ObjectData</a></code></span>
                                </div>
                                <div class="block">Gets an input stream which returns the binary of the embedded data.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html#getInputStream--">getInputStream</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html"
                                                title="interface in org.apache.poi.sl.usermodel">ObjectData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the input stream which will contain the binary of the embedded data.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOutputStream--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOutputStream</h4>
                                <pre>public&nbsp;java.io.OutputStream&nbsp;getOutputStream()
                                     throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html#getOutputStream--">getOutputStream</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html"
                                                title="interface in org.apache.poi.sl.usermodel">ObjectData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the object data as stream (for writing)</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setData-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setData</h4>
                                <pre>public&nbsp;void&nbsp;setData(byte[]&nbsp;data)
             throws java.io.IOException</pre>
                                <div class="block">Sets the embedded data.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the embedded data.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExOleObjStg--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExOleObjStg</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/ExOleObjStg.html"
                                                    title="class in org.apache.poi.hslf.record">ExOleObjStg</a>&nbsp;getExOleObjStg()</pre>
                                <div class="block">Return the record that contains the object data.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the record that contains the object data.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOLE2ClassName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOLE2ClassName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getOLE2ClassName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html#getOLE2ClassName--">getOLE2ClassName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html"
                                                title="interface in org.apache.poi.sl.usermodel">ObjectData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the OLE2 Class Name of the object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFileName--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getFileName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFileName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html#getFileName--">getFileName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html"
                                                title="interface in org.apache.poi.sl.usermodel">ObjectData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a filename suggestion - inspecting/interpreting the Directory object probably
                                        gives a better result
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFObjectData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFObjectData.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFObjectData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
